Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Updated googlemaps plugin to use HTTPS by default. FINALLY!!!!

  • Loading branch information...
commit 69a45e62c89bdd2d3f891296ed32434446f09e3a 1 parent 282efc0
Jonas Obrist ojii authored
2  CHANGELOG.txt
View
@@ -57,3 +57,5 @@
- Replaced the old plugin media framework with django-sekizai. (This changed some plugin templates which might cause problems with your CSS styling).
- Made django-mptt a proper dependency
- Removed support for django-dbgettext
+- Google Maps Plugin now defaults to use HTTPS.
+- Google Maps Plugin now uses the version 3 of their API, no longer requiring an API Key.
2  cms/plugins/googlemap/templates/cms/plugins/googlemap.html
View
@@ -1,5 +1,5 @@
{% load i18n sekizai_tags %}
-{% addtoblock "js" %}<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true"></script>{% endaddtoblock %}
+{% addtoblock "js" %}<script type="text/javascript" src="https://maps-api-ssl.google.com/maps/api/js?v=3&sensor=true"></script>{% endaddtoblock %}
{% addtoblock "js" %}
<script type="text/javascript">
//<![CDATA[
9 docs/getting_started/plugin_reference.rst
View
@@ -60,15 +60,6 @@ setting in your project's ``settings.py`` file::
# ...
)
-The Google Maps API key is also required. You can either put this in a project
-setting called ``GOOGLE_MAPS_API_KEY`` or be sure the template context has a
-variable with the same name.
-
-.. warning:: The GoogleMap plugin does not support SSL (HTTPS) unless you have a
- Google Maps API Premier account, in which case you must manually
- alter the template used for this plugin. This is due to a
- limitation in the Google Maps API, see
- http://code.google.com/apis/maps/faq.html#ssl.
****
Link
Please sign in to comment.
Something went wrong with that request. Please try again.